List mileage summary of vehicles

Purpose: Use this endpoint to fetch a mileage summary of the all the company's vehicles. This allows you to view, consolidate, and summarise the fuel and mileage data for each vehicle in a fleet that operates across multiple jurisdictions. The summary report simplifies the tax filing process, thereby ensuring accurate and fair distribution of fuel taxes among the jurisdictions where the vehicle was driven.

require 'uri'
require 'net/http'

url = URI('https://api.gomotive.com/v1/ifta/summary')

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request['Authorization'] = "Bearer <OAUTH_TOKEN>"

response = http.request(request)
puts response.read_body

❗️

Important

This is a rollup endpoint and the timestamps are computed and returned in company configured rollup timezone (for example PT, MT, CT, or ET), and not in UTC.

Response Parameters

jurisdiction

  • Type: String
  • Description: The jurisdiction (state or province) where the IFTA trip occurred.

id

  • Type: Integer
  • Description: The unique identifier for the vehicle associated with the IFTA trip.

number

  • Type: String
  • Description: The number assigned to the vehicle.

year

  • Type: String
  • Description: The year of the vehicle's manufacture.

make

  • Type: String
  • Description: The manufacturer of the vehicle.

model

  • Type: String
  • Description: The model of the vehicle.

vin

  • Type: String
  • Description: The Vehicle Identification Number (VIN) of the vehicle.

metric_units

  • Type: Boolean
  • Description: Indicates whether the vehicle uses metric units for measurements (e.g., kilometers, liters).

distance

  • Type: String
  • Description: The distance traveled during the IFTA trip, measured in the units specified by metric_units.

time_zone

  • Type: String
  • Description: The time zone in which the IFTA trip occurred.

Query Params
jurisdictions
array of strings

Specify the jurisdiction to fetch the trip reports for only the specified jurisdiction.

jurisdictions
vehicle_ids[]
array of int32s

Specify either one or multiple vehicle IDs to fetch the list of IFTA trip reports corresponding to the specified vehicles.

vehicle_ids[]
date

Specify the start date for the report. Default: TODAY - 7 DAYS AGO

date

Specify the end date for the report. Default: TODAY

string

Specify the vehicle fuel type for which you want to view the IFTA reports. Acceptable values are Diesel, Gasoline, Propane, LNG, CNG, Ethanol, Methanol, E85, M85, A55, Biodiesel, and Others.

int32
Defaults to 25

Number of records to return per page.

int32
Defaults to 1

Current page number.

Responses

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json